I am having problems programming an AMP2.5 using the ArduPilot-Arduino-1.0.3-gcc-4.8.2-windows IDE that I downloaded from the DIY Drone web site:

http://firmware.diydrones.com/Tools/Arduino/

I have followed the instructions "How to Build ArduPilot with Arduino.pdf" that are posted on the page.  I am able to compile the ArduPilot source code from GitHub with no errors but when I try to upload I keep getting the same error:

avrdude: error at C:\Program Files\ArduPilot-Arduino-1.0.3-windows\hardware/tools/avr/etc/avrdude.conf:332: programmer type must be written as "id_type"

I am kind of stumped at this point and I would appreciate any advice.

Views: 10346

Reply to This

Replies to This Discussion

After much trial and tribulation I found and used an older version of the ArduPilot/Arduino IDE and now all is well.  The ArduPilot source code compiles, uploads, and runs as advertised. 

Moral to the story, use the older version "ArduPilot-Arduino-1.0.3-windows-gcc.4.7.2" (that is no longer available on the DIY Drone web site and I had to search for).  The version currently on the DYI Drones web site, "ArduPilot-Arduino-1.0.3-windows-gcc.4.8.2", consistently gave me an arvdude error no matter what I did and what machine I ran it on.


The older version can be found at:

http://uav.tridgell.net/Arduino472/

I had the same problem but wanted to use 4.8.2 to get the hex file size down.

Copy the file

  C:\Program Files (x86)\MHV AVR Tools\bin\avrdude.conf 

To

  C:\arduino\ArduPilot-Arduino-1.0.3-windows\hardware\tools\avr\etc

Hope this helps.

I am getting the same error when trying to upload.  I have tried copying the avrdude.conf file over from MHV AVR Tools, but I still got the same error.  I have also tried switching to 4.7.2 and then I get an error saying "

avr-g++: error: CreateProcess: No such file or directory" during compilation.  I have tried a couple potential solutions to that, none of which have worked.  

Any tips?

Thanks

I downloaded ArduPilot-Arduino-1.0.3-windows-gcc.4.7.2  and MHV_AVR_Tools_20131101  and followed the installation instructions on:

http://firmware.diydrones.com/Tools/Arduino/How%20to%20Build%20Ardu...

Everything is working fine.

Thanks for the quick reply!  I finally have it working!  I think the issue was that I had an older version of MHV AVR Tools.  

Anyway, thanks again!

It is also worth noting that I was using 4.8.2 and it still uploaded.

Ok, I think we have a problem with the installation package then.

I'm pretty sure when Tridge and I first tested the -4.8.2 version of the compiler I hit this problem and we resolved it by replacing the conf file.

Download this file: avrdude.conf

Place it in your Arduino-1.0.3/hardware/tools/avr/etc directory

Sorry for the troubles.

Hi Randy,

I had the same exact problem and your file just resolved it. I also add a CRC mismatch after compilation with the MHV release 20121007, after installing 20131101 it was ok.

Maybe you can add the avrdude.conf in the package and update the documentation.

Thanks for this great job. 3.2 with hybrid mode and parachute is really a big improvement to me.

worked perfectly.

Thanks.

Hey,

I just had the same problem and tried it with replacing the avrdude config, also with the older version of the ArduPilot-Arduino (4.7.2) but booth didn't work, with the older Arduino I got a simple error without description so I tried it on another win7 computer and it worked! Hope it helps someone. :)

Tried different things for two days so I'm really happy having solved the problem solved so simply!

Does this file still exist? The file does not download when I click the link. Just takes me to a page that says the webpage is not available.

I've checked a few of the links listed above and they seem to still work.

Reply to Discussion

RSS

© 2019   Created by Chris Anderson.   Powered by

Badges  |  Report an Issue  |  Terms of Service